Skip to main content
GET
/
customers
List all customer records
curl --request GET \
  --url https://api.platform.dakota.xyz/customers \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "name": "Acme Corp",
      "email": "contact@acmecorp.com",
      "customer_type": "business",
      "kyb_status": "pending",
      "kyc_status": "pending",
      "kyb_links": [
        {
          "provider_id": "trm_labs",
          "link_type": "persona",
          "url": "https://verify.provider.com/kyb/a1b2c3d4e5f6",
          "status": "pending",
          "created_at": 1234567890,
          "updated_at": 1234567890,
          "expires_at": 1234567890,
          "deleted_at": 1234567890
        }
      ],
      "provider_statuses": [
        {
          "provider_id": "trm_labs",
          "status": "approved",
          "endorsements": [
            "string"
          ]
        }
      ],
      "application_id": "1NFHrqBHb3cTfLVkFSGmHZqdDPi",
      "decision": "approved",
      "application_url": "https://onboarding.example.com/applications/abc123?token=xyz789",
      "created_at": 1234567890,
      "updated_at": 1234567890,
      "deleted_at": 1234567890
    }
  ],
  "meta": {
    "total_count": 100,
    "has_more_after": true,
    "has_more_before": false
  }
}

Authorizations

x-api-key
string
header
required

Query Parameters

starting_after
string

A cursor for use in pagination. starting_after is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include starting_after=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the next page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

ending_before
string

A cursor for use in pagination. ending_before is a KSUID for the object you are listing that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with ID 2B5J8KZ9N7M1K3P6Q8R4T7V9, your subsequent call can include ending_before=2B5J8KZ9N7M1K3P6Q8R4T7V9 in order to fetch the previous page of the list. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

limit
integer
default:20

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 20.

Required range: 1 <= x <= 100
external_id
string

Filter customers by external ID

Search customers by name, email, or customer ID (case-insensitive)

kyb_status
enum<string>

Filter customers by KYB status (single value). Overall status of the KYB verification process (e.g., pending, active, restricted).

Available options:
active,
pending,
partner_review,
rejected,
frozen,
auto_declined
Example:

"pending"

kyb_statuses
string

Filter customers by one or more KYB statuses. Comma-separated list (e.g. active,frozen).

kyc_statuses
string

Filter customers by one or more effective KYC/B link statuses. Comma-separated list (e.g. pending,in_review). Values mirror the KybLinkStatus enum (not_started, pending, in_review, approved, expired, rejected).

application_statuses
string

Filter customers by one or more onboarding application statuses. Comma-separated list (e.g. submitted,under_review). Values mirror the ApplicationStatus enum. Customers without an application are excluded when this filter is set.

sub_client_id
string

Filter customers by sub-client association. Returns only customers associated with the specified sub-client. KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

is_sub_client
boolean

When true, returns only customers that are sub-clients (designated as such at creation). When false or omitted, returns all customers.

sort_by
enum<string>

Field to sort customers by. Defaults to name.

Available options:
application_status,
created_at,
customer_type,
id,
kyb_status,
kyc_status,
name
sort_dir
enum<string>

Sort direction. Defaults to asc.

Available options:
asc,
desc
created_at_from
string<date-time>

Filter customers created at or after this ISO 8601 datetime (e.g. 2024-01-01T00:00:00Z).

created_at_to
string<date-time>

Filter customers created at or before this ISO 8601 datetime (e.g. 2024-12-31T23:59:59Z).

Response

List of all customer records

data
object[]
required
meta
object
required

Meta information about the response